{# empty Twig template #}
{#LG 20190624 début#}
{# LG 20190701 deac #}
{#{% extends "@Paa/Default/entityFormBase.html.twig" %}#}
{#{% include "@Paa/Default/entityFormBase_Utils.html.twig" %}#}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidusager }}</div>
{% endblock %}
{#LG 20190624 fin#}

{% block formulaire %}
    <input type="hidden" name="OngletCompétences" id="OngletCompétences" value="1">
    <div class="LGDataTablesCoche" style="height: 100%">
        <div id = "entityFormBaseGrille_DataTableInfos"></div>
        <table id="entityFormBaseGrille_DataTable_Competence" class="display" cellspacing="0" width="100%" >
            <thead>
                <tr id="entityFormBaseGrille_DataTableTitres"> <!-- iTable_Form_titres -->
                    {% block datatable_title %}
                        <th id="selectionner"><input name="actiBasesCompétences_ToggleAllCompétences_C" class="EFControl" value="1" id="select-all-C" type="checkbox" /></th>
                        <th id="iidUsager" style="display: none">Id</th>
                        <th id="cnom">Activité de base</th>
                        {% endblock %}
                </tr>
            </thead>
            <tbody>
                {% block datatable_body %}
                    {% set iRow = 0 %}
                    {% for row in poListeActiusagers %}
                        <tr>
                            {% if(row.lcompetent is defined) %}
                                {% if(row.lcompetent == false) %}
                                    <td id ="row_{{ iRow|raw }}_selectionner" class="test"><input id='C' class="EFControl" type="checkbox" name="CocheU_{{ row.iid_res }}" value="{{ row.iid_res }}"><label hidden>0</label></td>
                                    {% else %}
                                    <td id ="row_{{ iRow|raw }}_selectionner" class="test"><input id='C' class="EFControl" type="checkbox" name="CocheU_{{ row.iid_res }}" value="{{ row.iid_res }}" checked><label hidden>1</label></td>
                                    {% endif %}
                                {% else %}
                                <td id="row_test"></td>
                            {% endif %}
                            <td id ="row_{{ iRow|raw }}_iid_res" class="test" style="display: none" name="{{ row.iid_res }}"> {{ row.iid_res}} </td>
                            <td id ="row_{{ iRow|raw }}_cnom" class="test"> {{ row.cnom}} </td>          
                        </tr>
                        {% set iRow = iRow + 1%}
                    {% endfor %}
                {% endblock %}
            </tbody>
        </table>
        <div class='col-md-3'></div>
        <div id='Competence_Filter' class='col-md-3' style='padding-top: 0.755em;'></div>
    </div>
{% endblock %}

{% block fin %}
    <script>

        $(document).ready(entityOngletCompetences_DocumentReady);
        function entityOngletCompetences_DocumentReady() {

            var lsNomEntité = "Competence";
            tmp_onLGDataTableInitComplete = function (poLGDataTable) {
                //changement de css
                $('#entityFormBaseGrille_DataTable_Competence_wrapper').css('height', '100%');
                $('#formulaire_detail_usagers').css('height', '100%');
                $('#fEntityForm_usagers').css('height', '100%');
                $("#entityFormBaseGrille_DataTable_Competence_wrapper > div[class='dataTables_scroll'] > div[class='dataTables_scrollBody']").css('height', '90%');
                $("#entityFormBaseGrille_DataTable_Competence_wrapper > div[class='dataTables_scroll']").css('height', '90%');

                var table = $('#entityFormBaseGrille_DataTable_Competence').DataTable();
                // Sort by column 1 and then re-draw
                table.order([2, 'asc']).draw();

            };
            // Construire la datatable
            LGDataTable_initGrille("entityFormBaseGrille_DataTable_Competence", lsNomEntité, {}, tmp_onLGDataTableInitComplete);

            // Handle click on "Select all" control
            $('#select-all-C').on('click', function () {
                // Check/uncheck all checkboxes in the table
                actiBasesCompétences_ToggleAllCompétences('Competence', this);
            });

            // LG 20190702 début
            var loEntityForm = null;
            // LG 20190702 fin
            // Handle click on checkbox to set state of "Select all" control
            $('#entityFormBaseGrille_DataTable_Competence tbody').on('change', 'input[type="checkbox"]', function () {
                // If checkbox is not checked
                actiBasesCompétences_ToggleCompétence('Competence', this);

                // LG 20190702 début
                // Informer l'entityForm que des changements sont en attente
                if (!loEntityForm) {
                    // L'objet EntityForm de gestion de l'enregistrement n'est pas encore défini
                    // Le définir maintenant
                    loEntityForm = window.RtvEntityForm("usagers");
                }
                if (loEntityForm) {
                    loEntityForm.SetChangementsEnAttente(true);
                }
                // LG 20190702 fin			
            });
        }
    </script>
{% endblock %}
